Näytä kirjoitukset

Tässä osiossa voit tarkastella kaikkia tämän jäsenen viestejä. Huomaa, että näet viestit vain niiltä alueilta, joihin sinulla on pääsy.


Viestit - nm

Sivuja: 1 2 [3] 4 5 ... 649
41
Ubuntu tietokoneissa / Vs: LibreOffice ja Google Drive
« : 26.08.19 - klo:12.02 »
LibOn pitäisi kyetä avaamaan Google Drive, siellä olevat kansiot ja tiedostot. Yritin, mutta ongelmaksi tuli 6-numeroinen PIN, jota LibO pyyttä sen jälkeen, kun olen kertonut google tilin tunnarin ja salasanan.

Ilmeisesti kyseessä on bugi liittyen käyttäjätunnuksen tai salasanan erikoismerkkeihin tai johonkin muuhun yksityiskohtaan, joka estää kirjautumisen joillakin käyttäjätunnuksilla: https://ask.libreoffice.org/en/question/98400/libreoffice-access-to-google-drive-asks-for-authentication-6-digit-pin/?answer=164771#post-id-164771

Kyseistä PIN-koodia ei siis saa mistään, vaan dialogin ilmestyminen tarkoittaa, että kirjautuminen on jostain syystä epäonnistunut. Millä LibreOfficen versiolla olet kokeillut yhdistämistä Driveen?

42
Käynnistä järjestelmä uudelleen esim. päätteen kautta, jos saat sen auki (Ctrl+Alt+T) ja komento reboot

Jos uudelleenkäynnistys ei korjaa ongelmaa, mutta pääset jollain keinolla kirjautumisikkunaan (eli automaattinen kirjautuminen ei ole käytössä), kokeile vaihtaa istunnon tyyppiä kirjautumiskehotteen ubuntu-kuvakkeen kautta.

43
Ohjelma skannasi hyvin, mutta kun sen piti tunnistaa teksti, niin se tiputti 4/5 osaa tekstiä pois. Kuvan se skannasi moitteettomasti. Kokeilin sekä pdf ja txt tiedostoina. Ei vaikutusta. Kieliasetus oli fi ja muuten annoin mennä oletusasetuksilla. Kokeilin myös vaihtaa 1200 dpi 600dpi. mutta ei sekään muuttanut tilannetta.

400 tai 600 dpi:tä riittää kyllä yleensä hyvin. Pystytkö jakamaan esimerkkikuvan, joka ei tunnistu kunnolla?

44
Tuo ketju ei tainnut jatkua pidemmälle jos oikein ymmärsin. Kuitenkaan tuo komento ei suostu toimimaan:

sudo dpkg --remove fsharp mono-roslyn ca-certificates-mono mono-devel
dpkg: dependency problems prevent removal of fsharp:
 monodevelop riippuu paketista fsharp.

Jatkui se vielä monodevelop-pakettiin, kuten dpkg tuossa ilmoittaa. Eli lisää se poistettavien joukkoon:

Koodia: [Valitse]
sudo dpkg --remove monodevelop fsharp mono-roslyn ca-certificates-mono mono-devel

45
Okei, riippuvuudet estävät suoran poiston, mutta voit seurata ketjua dpkg:n ilmoitusten mukaan. Eli poista myös fsharp ja mono-roslyn:

Koodia: [Valitse]
sudo dpkg --remove fsharp mono-roslyn ca-certificates-mono mono-devel
Luultavasti ketjussa on vielä muutakin, ja dpkg herjaa edelleen riippuvuuksista. Lisää nekin paketit komentoon.

46
Ilmeisesti jokin paketin virhe estää ca-certificates-mono:n päivityksen. Kokeile poistaa ongelmalliset paketit dpkg:llä ja asenna ne sitten uudelleen:

Koodia: [Valitse]
sudo dpkg --remove ca-certificates-mono mono-devel
Koodia: [Valitse]
sudo apt install ca-certificates-mono mono-devel

47
Muuttujien vertaaminen ei onnistu matemaattisella vertailulla:
Koodia: [Valitse]
a=2; b=1; (( $1 > $2 )) && echo 'eka on suurempi' # eikä mikään vaihtoehto onnistu tuolle > merkille.

Tuossa esimerkissä ei ole määritelty positionaalisten argumenttien 1 ja 2 arvoja, vaan muuttujat a ja b, joten vertailussa on käytettävä niitä:

Koodia: [Valitse]
a=2; b=1; (( a > b )) && echo 'eka on suurempi'

a=2.1; b=2.1; ((${a//./} ^ ${b//./})) || echo yhtäsuuria
# mutta: a=21.1; b=2.11; ((${a//./} ^ ${b//./})) || echo yhtäsuuria  # menee väärin. Korjaus tähän:
a=21.1; b=2.11; ((${a%.*} ^ ${b%.*})) || ((${a//./} ^ ${b//./})) || echo yhtäsuuria
[/code]

Tämä menee metsään ainakin siinä, että vertailuun päätyy oktaalilukuja, jos kokonaislukuosa on 0:

Koodia: [Valitse]
a=0.7; b=0.8; ((${a%.*} ^ ${b%.*})) || ((${a//./} ^ ${b//./})) || echo yhtäsuuria
Koodia: [Valitse]
-bash: �L: 07 ^ 08: liian iso luku lukujärjestelmälle (virheellinen avainsana on ”08”)
yhtäsuuria

En kyllä itse lähtisi toteuttamaan tukea desimaaliluvuille tällä tavalla. Mahdollisia sudenkuoppia on joka mutkan takana.

48
Laitealue / Vs: Nettitikut ja Ubuntu
« : 19.08.19 - klo:15.26 »
Ei kannata noiden tikkujen kanssa tapella. Alkavat muutenkin jo olla mennyttä aikakautta Hommaa reititin sitä hommaa hoitamaan, josta saat yhteyden wifillä tai piuhalla.

DNA:n löytöpisteeltä saa kotimokkuloita edukkaasti.

https://kampanja3.dna.fi/kaupantarjonta/loytopiste

TP-Link Archer T4U on wifi-tikku, eikä mokkula, eli aloittajan varsinainen tavoite on varmaankin wifi-yhteyden järjestäminen koneelle, jossa sellaista ei ennestään ole.

USB-wifitikkujen Linux-tuki on aina ollut jokseenkin ongelmallista johtuen halvoista piirisarjoista ja lukuisista eri versioista, joita myydään samoilla tuotenimillä. Kernelin muuttuvien rajapintojen vuoksi tikun valmistaja ei myöskään voi helposti toimittaa Linux-ajuria, joka toimisi edes pari vuotta julkaisun jälkeen. Sen sijaan piirisarjan valmistajan pitäisi julkaista avoin ajuri, ja mielellään myös ylläpitää sitä kernelin sisällä. Käytännössä vain Intel taitaa toimia niin, eikä Intel tee wifi-piirisarjoja USB-tikkuihin.

Esimerkiksi Ethernet-ajurien tilanne on paljon parempi, koska sitä tukea tarvitaan palvelimissa, joissa Linuxilla on suuri markkinaosuus.

49
Ubuntu tietokoneissa / Vs: Wifi ei toimi
« : 14.08.19 - klo:22.32 »
01:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8821CE 802.11ac PCIe Wireless Network Adapter

Tarvitset tämän ajurin: https://github.com/tomaspinho/rtl8821ce

Asennus tähän tapaan:

Koodia: [Valitse]
sudo apt update
sudo apt install build-essential git dkms bc module-assistant
sudo m-a prepare
git clone https://github.com/tomaspinho/rtl8821ce.git
cd rtl8821ce
sudo ./dkms-install.sh
sudo modprobe 8821ce

50
Ubuntu tietokoneissa / Vs: videon toisto
« : 08.08.19 - klo:12.11 »
Totem-videosoitin tarvitsee GStreameriin H.264-dekooderin. Varmista, että paketti ubuntu-restricted-addons on asennettuna tai toista video vaikka VLC:llä.

Koodia: [Valitse]
sudo apt install ubuntu-restricted-addons

51
Mutta, minulta usein kysytään, tätä, ikoneita etusivulle, joista käynnistää lautapeli, mutta, viestintävirasto on kieltänyt minulta tuollaisen sivun.

Eihän tuota voi mikään virasto kieltää? Mitä tarkalleen olet kysynyt ja mitä he ovat vastanneet?

52
voisiko saada suoraa koodia päätteeseen, kun en osaa asentaa gparted. Ja levyn osiointi on hepreaa

Koodia: [Valitse]
sudo apt install gparted
Koodia: [Valitse]
gparted
Tai Levyt-ohjelma:

Koodia: [Valitse]
gnome-disks
Suosittelen noita graafisia ohjelmia, niin on helpompi itse varmistaa, että käsittelet oikeaa laitetta.

53
Tikulla on mielestäni tavaraa ja en saa sitä alustettua kun en tiedä millä ohjelmalla se tehdään...mutta onnistuuko kun "Laitetta ei voi liittää"

Levyt-ohjelmalla tai vaikka GPartedilla voi alustaa, jos tikulla ei ole mitään pelastettavaa dataa.

54
Sattuisiko joku tietämään tekstimuotoisen lähteen tiedostolle /usr/share/file/magic.mgc tai jonkun tavan lukea sen koko sisältö (muu kuin kokeilla file-komentoa kaikkiin mahdollisiin tiedostoihin)?

https://github.com/file/file/tree/master/magic/Magdir

55
Eli cp-ei kopioi ainakaan minulla meta-tietoja

Joo, ei kopioi oletuksena. Tarvitset vivun --preserve=xattr tai --preserve=all eli -a

Koodia: [Valitse]
cp -a kokeilu.txt kokeilu2.txt

rsyncissä vipu on -X

Koodia: [Valitse]
rsync --help
Lainaus
...
 -X, --xattrs                preserve extended attributes
...


Tuo ln on jotenkin tajuttavissa, sehän ei koskene itse tiedostoon mitenkään?
Jos malli on tallessa niin kokeiles vielä miten cat homman hoitaa.

Cat ei itse tallenna dataa tiedostoihin, vaan ainoastaan listaa niiden sisällön standard outputiin. Tästä seuraa, ettei se myöskään tue extended attribuutteja mitenkään.

56
Tiedostonimillä tai tarkentimilla ei ollut suurempaa merkitystä, kun tiedostojen ja hakemistojen todellinen merkitys on oikeuksissa. Luku- (r), kirjoitus (w) tai ajo-oikeudet (x) olivat järjestelmän keskeisimmät omistaja (u), ryhmä (g) ja
muut (o) ohella. Tiedostopääte ei siis määrittele, miten tiedostoa oletuksena käytetään.

Havaintosi koskee oikeastaan vain suoritettavien binääri- ja skriptitiedostojen käsittelyä, johon liittyy tiedoston oikeuksissa määritelty suoritusbitti toisin kuin vaikkapa DOS- ja Windows-käyttöjärjestelmissä. Lisäksi komentotulkki lukee suoritettavan tiedoston alusta pätkän ja päättelee sen perusteella, miten tiedosto on tarkoitus ajaa.

Datatiedostoilla ei Unixissa ole perinteisesti mitään metatietoja, joiden perusteella järjestelmä päättelisi, miten tiedostoa on tarkoitus käsitellä, vaan se on joko käyttäjän päätettävissä tai vaikkapa graafisen tiedostoselaimen vallassa. Molemmissa tapauksissa tiedostopääte on käytännössä merkitsevä tunniste. Toki voit tutkia tiedoston sisältöä vaikkapa file-komennolla, mutta järjestelmä ei tee sitä puolestasi. Sama pätee Windowsiin.


Kuten ei mikään muukaan. Niinhän Unix suunniteltiin ja siitä sitä aikain saatossa kiivaimmin on arvosteltu: Unix pyrkii yksinkertaisuuteen, jossa kaikki on vain tiedostoja, ja on käyttäjän (ihmisen tai ohjelman) asia tietää, miten jotain tiedostoa käytetään. Varhaisemmissa järjestelmissä tiedostojärjestelmät olivat ”rikkaita” ja sisälsivät sen tiedon, ja samaan pyrki Mac alusta saakka vähän toisella tapaa.

Tähän voisi lisätä, että viimeisten 20 vuoden kuluessa lähes kaikkiin yleisiin tiedostojärjestelmiin on lisätty tuki tiedostojen metadatalle (extended file attributes), mutta ominaisuutta ei hyödynnetä kovin yleisesti ohjelmistoissa.

https://en.wikipedia.org/wiki/Extended_file_attributes
https://www.freedesktop.org/wiki/CommonExtendedAttributes/

Ubuntussa tiedostojen laajennettuja määritteitä voi kokeilla näin:

1. Asennetaan attr-paketti, jossa on komentorivityökalut tiedostoattribuuttien lukemiseen ja kirjoittamiseen.

Koodia: [Valitse]
sudo apt install attr
2. Kokeillaan luoda tiedosto ja asettaa sen user.mime_type -attribuutiksi text/plain

Koodia: [Valitse]
touch kokeilu.txt
setfattr -n user.mime_type -v text/plain kokeilu.txt

3. Listataan tiedoston attribuutit:

Koodia: [Valitse]
getfattr -d kokeilu.txt
Lainaus
# file: kokeilu.txt
user.mime_type="text/plain"

57
Laitealue / Vs: Mikrofonila tehdyt äänitykset kohisevat
« : 10.07.19 - klo:12.59 »
mikä olisi hyvä mikrofoni. Päätarkoitus on siirtää mini(nauha)kaseteille tehtyjä haastatteluja tietokoneeseen,

Eikö tuossa käyttötapauksessa kannattaisi kaapata suoraan kasettisoittimen linjaulostulosta tietokoneeseen? Jos toistat äänen kasettisoittimella ja äänität sen uudelleen mikrofonilla, välissä on täysin tarpeeton muunnos sähköisestä signaalista ääneksi ja takaisin.

58
Laitealue / Vs: eaton 3S 550 latauksen tila
« : 02.07.19 - klo:01.32 »
Lainaus
Oletko kokeillut liittää USB:n kiinni
tuota en ymmärtänyt

UPS pitää kytkeä tietokoneeseen laitteen mukana tulleella USB-johdolla, jotta sitä voi ohjata tai tutkia millään ohjelmalla.

Valmistaja on lomalla tällä hetkellä, mutta antoi linkin, mutta lataaminen
on minulle liian haastava...sillä ehkä homma lähtis purkautuun...

Tuntuu latautuvan ihan normaalisti selaimella. Lataamisen jälkeen kaksoisklikkaat deb-pakettia tiedostoselaimessa. Tai jos ei onnistu, voit asentaa päätteessä komennoilla:

Koodia: [Valitse]
wget https://powerquality.eaton.com/Support/Software-Drivers/Downloads/IPS/ipp-linux_1.61.158-1_amd64.deb
Koodia: [Valitse]
sudo dpkg -i ipp-linux_1.61.158-1_amd64.deb

59
Nyt on hplip hplip-gui ajettu. Libre Office tarjoaa edelleen tulostinta "Generc Printer".

Lisää tulostin joko hplipin kautta tai järjestelmän tulostusasetuksissa.

HP Device Manager tai HPLIP Toolbox pitäisi löytyä työpöydän haulla, tai voit käynnistää päätteessä komennolla:

Koodia: [Valitse]
hp-toolbox

60
Laitealue / Vs: Yhteyden saaminen MicroSD-korttiin
« : 01.07.19 - klo:17.17 »
Kannattaa myös katsoa kernelin lokista, miten järjestelmä tunnistaa kortin, tai tunnistuuko se lainkaan.

Eli komenna ennen kortin liittämistä päätteessä:
Koodia: [Valitse]
dmesg
Avaa uusi pääteikkuna, kytke kortinlukija ja kortti koneeseen ja komenna uudessa päätteessä:
Koodia: [Valitse]
dmesg
Vertaa listausten loppuosaa tai kopioi se tänne tutkittavaksi.

Sivuja: 1 2 [3] 4 5 ... 649